# Uses of Interface
org.eclipse.net4j.db.IDBConnectionProvider

Packages that use IDBConnectionProvider
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBConnectionProvider in org.eclipse.net4j.db

Subinterfaces of IDBConnectionProvider in org.eclipse.net4j.db
Modifier and Type
Interface
Description
`interface`
`IDBConnectionProvider2`
Provides a database `connection`, roughly comparable with a `data source`.
`interface`
`IDBDatabase`
Methods in org.eclipse.net4j.db that return IDBConnectionProvider
Modifier and Type
Method
Description
`static IDBConnectionProvider`
DBUtil.`createConnectionProvider(DataSource dataSource)`
`IDBConnectionProvider`
IDBAdapter.`createConnectionProvider(DataSource dataSource)`
Methods in org.eclipse.net4j.db with parameters of type IDBConnectionProvider
Modifier and Type
Method
Description
`static <T> T`
DBUtil.`execute(IDBConnectionProvider connectionProvider, DBUtil.RunnableWithConnection<T> runnable)`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName)`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName, boolean fixNullableIndexColumns)`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName, boolean fixNullableIndexColumns, boolean qualifiedTableNames)`
`static void`
DBUtil.`sqlDump(IDBConnectionProvider connectionProvider, String sql)`
Deprecated.
Should only be used when debugging.

## Uses of IDBConnectionProvider in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl with parameters of type IDBConnectionProvider
Modifier and Type
Method
Description
`Set<IDBTable>`
IDBSchema.`create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
`void`
IDBSchema.`drop(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
`void`
IDBSchema.`export(IDBConnectionProvider connectionProvider, PrintStream out)`

## Uses of IDBConnectionProvider in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db that return IDBConnectionProvider
Modifier and Type
Method
Description
`IDBConnectionProvider`
DBAdapter.`createConnectionProvider(DataSource dataSource)`
`IDBConnectionProvider`
DelegatingDBAdapter.`createConnectionProvider(DataSource dataSource)`
Methods in org.eclipse.net4j.spi.db with parameters of type IDBConnectionProvider
Modifier and Type
Method
Description
`Set<IDBTable>`
DBSchema.`create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Deprecated.
`void`
DBSchema.`drop(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Deprecated.
`void`
DBSchema.`export(IDBConnectionProvider connectionProvider, PrintStream out)`
Deprecated.